@import "material-design-app.css";
@import "typography.css";
@import "color.css";

#app {
    height: 100%;
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    height: 100%;
}

/* DIVIS Loading logo */

.loading {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    width: 600px;
}

.loading .logo {
    display: block;
    width: 150px;
    height: 150px;
    margin-top: 30px;
    margin-bottom: 30px;
}

.loading .loading-text {
    width: 600px;
    text-align: center;
    margin-top: 30px;
    margin-bottom: 30px;
    font-size: x-large;
}

.center {
    margin: 0 auto;
}

/* Layout */

.d-flex {
    display: flex !important;
}

.align-items-center {
    align-items: center !important;
}

.justify-content-flex-start {
    justify-content: flex-start;
}

.align-items-center {
    align-items: center !important;
}

.divis-border-style {
    border-color: var(--mud-palette-divider);
    border-style: solid;
}

a {
    text-decoration: none;
    font-weight: 600 !important;
}

.flex-3 {
    flex: 3 1 0;
}

.flex-5 {
    flex: 5 1 0;
}

.flex-7 {
    flex: 7 1 0;
}

.w-fit {
    width: fit-content;
}

.min-w-fit {
    min-width: fit-content;
}

.mw-75 {
    max-width: 75%;
}

.mw-50 {
    max-width: 50%;
}

.mw-25 {
    max-width: 25%;
}

.mh-75 {
    max-height: 75%;
}

.mh-50 {
    max-height: 50%;
}

.mh-25 {
    max-height: 25%;
}

.fit-page-content-height {
    height: auto;
    position: absolute;
    top: 0;
    bottom: 0;
}

.aspect-ratio-scaling {
    position: absolute;
    inset: 0;    /* or use: top:0; right:0; bottom:0; left:0;*/
    margin: auto;
    max-width: 100%;
    max-height: 100%;
}

.divis-border-dimension {
    border-radius: 8px !important;
    border-width: 2px !important;
}

.image-flex-container {
    position: relative;
    width: 100%;
    height: 100%;
}

.image-flex-container img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* MudBlazor Overrides */

.hide-mud-menu-text .mud-menu-item-text {
    display: none;
}

.hide-mud-menu-text .mud-menu-item-icon {
    margin: 0;
    min-width: auto;
}
